/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package project82usb;

/**
 *
 * @author ilysk
 */
public class usbDevice {
    private final short idVendor;
    private final short idProduct;
    private final byte port;
    
    public usbDevice(short idVendor, short idProduct, byte port){
        this.idVendor=idVendor;
        this.idProduct=idProduct;
        this.port=port;
    }
    public short getIdVendor(){
        return this.idVendor;
    }
    public short getIdProduct(){
        return this.idProduct;
    }
    public byte getPort(){
        return this.port;
    }
    public String getStringIdProduct(){
        String result=null;
        if(this.idProduct<0) {
            result=Integer.toHexString(65536+this.idProduct);
        } else {
            result=Integer.toHexString(this.idProduct);
        }
        return result;
    }
    public String getStringIdVendor(){
        String result=null;
        if(this.idVendor<0) {
            result=Integer.toHexString(65536+this.idVendor);
        } else {
            result=Integer.toHexString(this.idVendor);
        }
        return result;
    }
    @Override
    public boolean equals(Object o){
         if (o instanceof usbDevice) {
            usbDevice rhs = (usbDevice) o;
            return  idVendor == rhs.idVendor
                    && idProduct == rhs.idProduct
                    && port == port;
        }
        return false;
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 31 * hash + this.idVendor;
        hash = 31 * hash + this.idProduct;
        hash = 31 * hash + this.port;
        return hash;
    }
}
